# Poco::LinearHashTable

# class Iterator

Library: Foundation
Package: Hashing
Header: Poco/LinearHashTable.h

## Inheritance

Direct Base Classes: ConstIterator

All Base Classes: ConstIterator, std::iterator < std::forward_iterator_tag, Value >

## Member Summary

Member Functions: operator *, operator ++, operator =, operator->, swap

Inherited Functions: operator !=, operator *, operator ++, operator =, operator ==, operator->, swap

## Constructors

### Iterator

Iterator();

### Iterator

Iterator(
const Iterator & it
);

### Iterator

Iterator(
const BucketVecIterator & vecIt,
const BucketVecIterator & endIt,
const BucketIterator & buckIt
);

## Member Functions

### operator *

typename Bucket::value_type & operator * ();

### operator *

const typename Bucket::value_type & operator * () const;

### operator ++

Iterator & operator ++ ();

### operator ++

Iterator operator ++ (
int
);

### operator =

Iterator & operator = (
const Iterator & it
);

### operator->

typename Bucket::value_type * operator-> ();

### operator->

const typename Bucket::value_type * operator-> () const;

### swap

void swap(
Iterator & it
) noexcept;